<?php
define('GCMS',true);
define('ROOT','../');
require_once (ROOT.'system/power.php');
if ($aut) {
///Главная
$diz -> head('Поиск статей');
$diz -> title('Поиск статей');
if (!isset($_POST['submit'])) {
$msg .= '<div class="fon"><form action="poisk.php" method="POST"><div>';
$msg .= 'Тип поиска:<br/><select name="tip"><option value="name">По названию</option><option value="text">По содержанию</option></select><br/>';
$msg .= 'Запрос:<br/><input type="text" name="zap" value="" maxlength="40"/><br/>
<input type="submit" name="submit" value="Найти"/>
</div></form>';
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="./">Библиотека</a></br>';
$msg .= ''.$diz -> img('home.png').'<a href="/index.php">На главную</a></div>';
} elseif(mb_strlen($func -> delprobel($func ->delsim($_POST['zap']))) == 0)
{
$diz -> head('Соблюдай длину');
$diz -> title('Ошибка');
$diz -> out('Произошла ошибка!<br/><a href="./poisk.php">Поиск статей</a>');
} else {
$tip = shit(trim($_POST['tip']));
$zap = shit(trim($_POST['zap']));
$diz -> head('Результат поиска');
$coun = $db -> query("Select `id` FROM `books` WHERE `".$tip."` like '%".$zap."%'");
if($coun-> num_rows > 0) {
$sql = $db -> query("SELECT * FROM `books` WHERE `".$tip."` like '%".$zap."%' ORDER BY `id` DESC");
while ($arr = $sql -> fetch_assoc()) {
$poster = $db -> dbcount('login','users',"`id` = '".$arr['user']."'");
$msg .= '<div class="spisok"><a href="book'.$arr['id'].'">'.$arr['name'].'</a>
<br/><a href="'.ROOT.'my/id'.$arr['user'].'">'.$poster.'</a> ('.$func -> times(date('d m Y H:i:s',$arr['time'])).')</div>';
}
} else $msg .= '<div class="fon">Ни чего не найдено,попробуйте уточнить запрос поиска!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./poisk.php">Поиск статей</a></br>
'.$diz -> img('back.png').'<a href="./">Библиотека</a></br>';
$msg .= ''.$diz -> img('home.png').'<a href="/index.php">На главную</a></div>';
    }
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
header('location: ../aut.php');
}
?>